HDF5 C++ API Reference Manual

- Main Page
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Hierarchy
- Class Members

# H5::ArrayType Class Reference

`#include <H5ArrayType.h>`

Inheritance diagram for H5::ArrayType:

List of all members.

## Public Member Functions
| ArrayType (const DataType &base_type, int ndims, const hsize_t *dims)
| Creates a new array data type based on the specified base_type.
int | getArrayNDims ()
| Returns the number of dimensions for an array datatype.
int | getArrayDims (hsize_t *dims)
| Retrieves the size of all dimensions of an array datatype.
virtual H5std_string | fromClass () const
| ArrayType (const ArrayType &original)
| Copy constructor: makes a copy of the original ArrayType object.
| ArrayType (const hid_t existing_id)
| Creates an ArrayType object using an existing id.
virtual | ~ArrayType ()
| Properly terminates access to this array datatype.
## Protected Member Functions
| ArrayType ()
| Default constructor: Creates a stub ArrayType.

## Constructor & Destructor Documentation

H5::ArrayType::ArrayType | ( | const DataType & | base_type,
|  | int | ndims,
|  | const hsize_t * | dims |
| ) |  |  |

Creates a new array data type based on the specified base_type.

Parameters:

  | base_type | - IN: Existing datatype
  | ndims | - IN: Rank of the array, [0..H5S_MAX_RANK]
  | dims | - IN: Size of each array dimension

Exceptions:

  | H5::DataTypeIException |

H5::ArrayType::ArrayType | ( | const ArrayType & | original | ) |

Copy constructor: makes a copy of the original ArrayType object.

H5::ArrayType::ArrayType | ( | const hid_t | existing_id | ) |

Creates an ArrayType object using an existing id.

Parameters:

  | existing_id | - IN: Id of an existing datatype

Exceptions:

  | H5::DataTypeIException |

H5::ArrayType::~ArrayType | ( |  | ) | `[virtual]`

Properly terminates access to this array datatype.

H5::ArrayType::ArrayType | ( |  | ) | `[protected]`

Default constructor: Creates a stub ArrayType.

## Member Function Documentation

int H5::ArrayType::getArrayNDims | ( |  | ) |

Returns the number of dimensions for an array datatype.

Returns:
  Number of dimensions

Exceptions:

  | H5::DataTypeIException |

int H5::ArrayType::getArrayDims | ( | hsize_t * | dims | ) |

Retrieves the size of all dimensions of an array datatype.

Parameters:

  | dims | - OUT: Sizes of dimensions

Returns:
  Number of dimensions

Exceptions:

  | H5::DataTypeIException |

virtual H5std_string H5::ArrayType::fromClass | ( |  | ) | const`[inline, virtual]`

Reimplemented from H5::DataType.